PETSc version 3.15.5
Fix/Edit manual page

# TSGetMaxTime

Gets the maximum (or final) time for timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetMaxTime(TS ts,PetscReal *maxtime)

Not Collective

### Input Parameters

| ts | - the TS context obtained from TSCreate()

### Output Parameter

| maxtime | - final time to step to

### See Also

TSSetMaxTime(), TSGetMaxSteps(), TSSetMaxSteps()

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex16.c.html
src/ts/tutorials/ex19.c.html
src/ts/tutorials/ex20.c.html
src/ts/tutorials/ex20adj.c.html
src/ts/tutorials/ex20opt_p.c.html
src/ts/tutorials/ex20opt_ic.c.html
src/ts/tutorials/ex16fwd.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages